RePatch released. Play any 3.60+ game on 3.60 and 3.65. #LetMaiDie

Discussion in 'PS Vita - Hacking & Homebrew' started by kernelPANIC, Jul 25, 2018.

  1. kernelPANIC
    OP

    kernelPANIC GBAtemp Fan

    Member
    4
    Nov 20, 2005
    Japan
    Tokyo
    For those of you still keeping track of the Vita Scene, an Alpha build of the newest RePatch version was released:

    https://github.com/dots-tb/rePatch-reDux0/releases

    With this, you can now play any game (at the moment of writing that includes any game that requires 3.68) on your 3.60 and 3.65 Firmware Vita.
    I managed to run Zanki Zero (3.68) on my 3.60 Vita with Henkaku.

    READ THE BOTTOM OF THIS POST TO CHECK AN EASIER PKGj METHOD (On the EDIT section at the end).

    Some steps to play games downloaded using NPS (NoPayStation) browser:

    1. Download repatch plugin and put it on your plugins folder (in my case, it was ur0:tai/)
    2. Modify the config.txt file to include the newly added plugin (in my case it was ur0:tai/repatch_4.skprx)
    3. Create a repatch folder on ux0.
    4. Create a folder for the game you would like to play (for Zanki Zero, I created ux0:repatch/PCSG01113)
    5. Download the compatibility pack for your game from https://gitlab.com/nopaystation_repos/nps_compati_packs (for Zanki Zero, the pack was PCSG01113)
    6. Rename the downloaded .ppk file to .zip, unzip it and move the contents to the created repatch game folder (usually an eboot.bin and other files/folders).
    7. Download the game using any NPS Browser and place them in the app folder on your uX0 folder (additional patches and DLC might be downloaded using NPS Browser).
    8. In VitaShell refresh Livearea.
    9. That should be it. As soon as you access your Vita main menu the game should appear and run on any system running 3.60 or 3.65

    A list of the available compatibility packs can be found here:
    https://gitlab.com/nopaystation_repos/nps_compati_packs/blob/master/entries.txt

    EDIT: PKGj has been updated. Download version 0.31 or above. Configure the config.txt (this should be on your PKGi folder) to include the URL for the compatibility packs, then after downloading a game using PKGj interface you can press the L button to download the compatibility pack for said game. DON'T FORGET TO UPDATE THE COMPATIBILITY PACK LIST IN PKGj BEFORE ATTEMPTING TO DOWNLOAD ONE.
    The line that the config.txt should look something like this:
    url_comppack http://gitlab.com/nopaystation_repos/nps_compati_packs/raw/master/

    Enjoy! :yaypsp:
     
    Last edited by kernelPANIC, Aug 1, 2018
  2. hiryuu

    hiryuu Member

    Newcomer
    2
    Dec 30, 2012
    United States
    Conway, Arkansas
    Thanks for the update! I just got back into Vita games last weekend and updated to ENSO 3.65. Will be nice to play games for 3.67 and 3.68 :)
     
  3. OperationNT

    OperationNT GBAtemp Regular

    Member
    4
    May 1, 2016
    France
    Thank you for the share. :-)
    I tried to use FAGDec to decrypt a game binaries and it seems it works fine. However, I cannot find where the ppk file landed.
    Someone knows what path is used to save the file?
     
  4. rommy667

    rommy667 GBAtemp Advanced Fan

    Member
    3
    Mar 21, 2008
    Down the road around the corner
    Tried this on stardew valley but its still asking for 3.67,guess i fooked up some where :(
     
  5. Priestiality

    Priestiality GBAtemp Regular

    Member
    2
    May 23, 2018
    United States
    Bloodstained (3.67) working on 3.65. I'm so glad I don't have to mess with MaiDumps.
    Screenshots

    EDIT: Stardew Valley (3.67) also working.
     
    Last edited by Priestiality, Jul 26, 2018
  6. MDashK

    MDashK GBAtemp Regular

    Member
    3
    Jul 22, 2011
    Internetus Exploratis
    Tried Shantae with Main Game + DLCs + Update + rePatch information, but game gives out error with these settings.
    However, if I just run the Main game + rePatch (without normal Update information) the game runs OK.

    Interestingly enough, KOF 97 Global Match works OK with Main Game + Update + rePatch applied.

    Maybe the rePatch info from Shantae was created from the Main v1.0 game eboot and not from the updated v1.04 eboot.

    UPDATE: Compat packs for updates available on reddit.
     
    Last edited by MDashK, Jul 27, 2018
  7. theguyver

    theguyver Member

    Newcomer
    2
    Aug 6, 2015
    United States
    man i keep getting c1-6703-6 everytime i run a game . I have done all the instructions correctly. Anyone have any suggestions. using 3.65 enso
     
    Last edited by theguyver, Jul 26, 2018
  8. Priestiality

    Priestiality GBAtemp Regular

    Member
    2
    May 23, 2018
    United States
    That error code means your FW is wrong. Something with repatch isn't working. Either your folders are screwed up or your config.txt is screwed up.
     
  9. theguyver

    theguyver Member

    Newcomer
    2
    Aug 6, 2015
    United States
    under kernal in the config i typed ur0:tai/repatch_4.skprx and the file is in there. i made a rePatch folder ux0/rePatch/PCSE01262 (for curse of the moon) and unzipped and copied the pack there. Copied the game to app folder and refreshed and still the error when launch. not sure what im missing
     
  10. Priestiality

    Priestiality GBAtemp Regular

    Member
    2
    May 23, 2018
    United States
    Did you update the game?
     
  11. theguyver

    theguyver Member

    Newcomer
    2
    Aug 6, 2015
    United States
    no. just downloaded it from the nopaystaion app on pc
     
  12. Priestiality

    Priestiality GBAtemp Regular

    Member
    2
    May 23, 2018
    United States
    Try updating it on the Vita. Using Sony's server is fine.
     
  13. theguyver

    theguyver Member

    Newcomer
    2
    Aug 6, 2015
    United States
    ok , also going to redownload the game as well and reinstall and reboot

    — Posts automatically merged - Please don't double post! —

    nope still no luck.
     
  14. MasterJ360

    MasterJ360 GBAtemp Maniac

    Member
    5
    Jan 10, 2016
    United States
    Welp time to grab both Persona 5 and 3 Dancing
    @theguyver you need to restart the vita everytime you add a new plugin otherwise nothing will change. A vital step left out for new plugin users
     
    Last edited by MasterJ360, Jul 26, 2018
    CallmeBerto likes this.
  15. arcadegamer93

    arcadegamer93 Member

    Newcomer
    1
    Apr 15, 2018
    Spain
    Valencia, España
     
  16. arcadegamer93

    arcadegamer93 Member

    Newcomer
    1
    Apr 15, 2018
    Spain
    Valencia, España
    ux0:FAGDec /app when you did decrypt the self you will find the folder with the id of the game just delete the sce_sys folder und pack the eboot.bin +sce_module+self_auth.bin to ppk file or use them as folder Desktop 26-07-2018 14-39-17-897.png Desktop 26-07-2018 14-39-11-678.png
     

    Attached Files:

  17. MasterJ360

    MasterJ360 GBAtemp Maniac

    Member
    5
    Jan 10, 2016
    United States
    Wow Im super impressed how this works. Just tested out Persona 3 Dancing on 3.65 enso and everything works fine. Used pkgj 0.31 and got it to download/install the compatibility pack, won't need to search for it manually on the net
    Just like the name says.... "LetMaiDie"
     
  18. hellionz

    hellionz GBAtemp Advanced Fan

    Member
    4
    Feb 24, 2007
    any way to make the patch for PCSH10088 ??? is SRW X english version....only exist PCSH10089 for chinese version

    Greetings
     
  19. kristianity77

    kristianity77 GBATemp old fogey

    Member
    6
    Jul 10, 2003
    United Kingdom
    Bewdley, UK
    What is the exact line that you have to put in to the config.txt file of PKGJ in order for it see the compatibility packs?

    I have it working for Vita games, PSP Games, DLC, Updates and PS1 games but dont know what to put in for the packs?
     
  20. theguyver

    theguyver Member

    Newcomer
    2
    Aug 6, 2015
    United States
    thanks for the reply. I watched the video before posting. Still no luck. the instructions are pretty straight forward and the speling is correct. I have a feeling its the config file. Took out a few things and still no luck. Just got to keep messing with it. Thanks for the help.
     
Loading...